Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.visa
Class Visa

    java.lang.Object
      edu.wpi.first.wpilibj.visa.Visa

    public class Visa

extends Object

This port of visa.h includes only the functions and definitions used in SerialPort.java

Author:
  dtjones

Field Summary
`static int` | `VI_ASRL_END_NONE`
`static int` | `VI_ASRL_END_TERMCHAR`
`static int` | `VI_ATTR_ASRL_AVAIL_NUM`
`static int` | `VI_ATTR_ASRL_BAUD`
`static int` | `VI_ATTR_ASRL_DATA_BITS`
`static int` | `VI_ATTR_ASRL_END_IN`
`static int` | `VI_ATTR_ASRL_FLOW_CNTRL`
`static int` | `VI_ATTR_ASRL_PARITY`
`static int` | `VI_ATTR_ASRL_STOP_BITS`
`static int` | `VI_ATTR_TERMCHAR`
`static int` | `VI_ATTR_TERMCHAR_EN`
`static int` | `VI_ATTR_TMO_VALUE`
`static int` | `VI_ATTR_WR_BUF_OPER_MODE`
`static short` | `VI_READ_BUF`
`static int` | `VI_SUCCESS_MAX_CNT`
`static int` | `VI_SUCCESS_TERM_CHAR`
`static short` | `VI_WRITE_BUF`

Method Summary
`protected static void` | `assertCleanStatus(String function)`
`static byte[]` | `viBufRead(int vi, int cnt)`
`static int` | `viBufWrite(int vi, byte[] buf, int cnt)`
`static void` | `viClear(int vi)`
`static void` | `viClose(int vi)`
`static void` | `viFlush(int vi, short mask)`
`static int` | `viGetAttribute(int vi, int attrName)`
`static int` | `viOpen(int sesn, String name, int mode, int timeout)`
`static int` | `viOpenDefaultRM()`
`static void` | `viSetAttribute(int vi, int attrName, boolean attrValue)`
`static void` | `viSetAttribute(int vi, int attrName, int attrValue)`
`static void` | `viSetBuf(int vi, short buffer, int size)`
`static void` | `viVPrintf(int vi, String write)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VI_ATTR_ASRL_BAUD

    public static final int VI_ATTR_ASRL_BAUD

See Also:
  Constant Field Values

### VI_ATTR_ASRL_DATA_BITS

    public static final int VI_ATTR_ASRL_DATA_BITS

See Also:
  Constant Field Values

### VI_ATTR_ASRL_PARITY

    public static final int VI_ATTR_ASRL_PARITY

See Also:
  Constant Field Values

### VI_ATTR_ASRL_STOP_BITS

    public static final int VI_ATTR_ASRL_STOP_BITS

See Also:
  Constant Field Values

### VI_ATTR_ASRL_FLOW_CNTRL

    public static final int VI_ATTR_ASRL_FLOW_CNTRL

See Also:
  Constant Field Values

### VI_ATTR_TERMCHAR_EN

    public static final int VI_ATTR_TERMCHAR_EN

See Also:
  Constant Field Values

### VI_ATTR_TERMCHAR

    public static final int VI_ATTR_TERMCHAR

See Also:
  Constant Field Values

### VI_ATTR_ASRL_END_IN

    public static final int VI_ATTR_ASRL_END_IN

See Also:
  Constant Field Values

### VI_ASRL_END_TERMCHAR

    public static final int VI_ASRL_END_TERMCHAR

See Also:
  Constant Field Values

### VI_ASRL_END_NONE

    public static final int VI_ASRL_END_NONE

See Also:
  Constant Field Values

### VI_ATTR_ASRL_AVAIL_NUM

    public static final int VI_ATTR_ASRL_AVAIL_NUM

See Also:
  Constant Field Values

### VI_SUCCESS_TERM_CHAR

    public static final int VI_SUCCESS_TERM_CHAR

See Also:
  Constant Field Values

### VI_SUCCESS_MAX_CNT

    public static final int VI_SUCCESS_MAX_CNT

See Also:
  Constant Field Values

### VI_ATTR_TMO_VALUE

    public static final int VI_ATTR_TMO_VALUE

See Also:
  Constant Field Values

### VI_ATTR_WR_BUF_OPER_MODE

    public static final int VI_ATTR_WR_BUF_OPER_MODE

See Also:
  Constant Field Values

### VI_READ_BUF

    public static final short VI_READ_BUF

See Also:
  Constant Field Values

### VI_WRITE_BUF

    public static final short VI_WRITE_BUF

See Also:
  Constant Field Values

Method Detail

### viOpenDefaultRM

    public static int viOpenDefaultRM()
                               throws VisaException

  Throws:
    `VisaException`

### viOpen

    public static int viOpen(int sesn,
                             String name,
                             int mode,
                             int timeout)
                      throws VisaException

  Throws:
    `VisaException`

### viSetAttribute

    public static void viSetAttribute(int vi,
                                      int attrName,
                                      int attrValue)
                               throws VisaException

  Throws:
    `VisaException`

### viSetAttribute

    public static void viSetAttribute(int vi,
                                      int attrName,
                                      boolean attrValue)
                               throws VisaException

  Throws:
    `VisaException`

### viSetBuf

    public static void viSetBuf(int vi,
                                short buffer,
                                int size)
                         throws VisaException

  Throws:
    `VisaException`

### viClose

    public static void viClose(int vi)

### viGetAttribute

    public static int viGetAttribute(int vi,
                                     int attrName)
                              throws VisaException

  Throws:
    `VisaException`

### viVPrintf

    public static void viVPrintf(int vi,
                                 String write)
                          throws VisaException

  Throws:
    `VisaException`

### viBufRead

    public static byte[] viBufRead(int vi,
                                   int cnt)
                            throws VisaException

  Throws:
    `VisaException`

### viBufWrite

    public static int viBufWrite(int vi,
                                 byte[] buf,
                                 int cnt)
                          throws VisaException

  Throws:
    `VisaException`

### viFlush

    public static void viFlush(int vi,
                               short mask)
                        throws VisaException

  Throws:
    `VisaException`

### viClear

    public static void viClear(int vi)
                        throws VisaException

  Throws:
    `VisaException`

### assertCleanStatus

    protected static final void assertCleanStatus(String function)
                                           throws VisaException

  Throws:
    `VisaException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"